# Flashvsr API

> Povečevalnik videoposnetkov, ki posnetke poveča za faktor od 1 do 4 z izbirnim prenosom zvoka

Poveča videoposnetek iz `video_url` z uporabo `upscale_factor` med 1 in 4 (privzeto 2). Možnosti vključujejo `color_fix`, `preserve_audio` za kopiranje izvirnih zvočnih posnetkov in `acceleration` regular, high ali full. Izhod je lahko X264 mp4, VP9 webm, ProRes 4444 mov ali GIF, z `output_quality` od low do maximum.

- Model id: `flashvsr/upscale/video`
- Made by: Open model
- Category: Upscale
- Output: video
- Price per megapixel of your output video: $0.0005 / megapixel of output video (cheapest run $0.001 (1 API credit))
- Run: `POST https://api.doitong.com/v1/run/flashvsr/upscale/video`
- Quote: `POST https://api.doitong.com/v1/quote/flashvsr/upscale/video`
- Docs page: https://doitong.com/sl/developers/models/flashvsr/upscale/video

## Pricing

Price: **$0.0005 / megapixel of output video**. Price per megapixel of your output video: the input files are measured before the run (length, resolution, frame rate). The quote measures the same files and is exactly what the run charges.

The full example input below costs $0.553 = 553 API credits (1105.92 MP output video × $0.0005).

Prices are the upstream price in USD, paid from the API balance in API credits (1000 API credits = 1 USD). `POST https://api.doitong.com/v1/quote/flashvsr/upscale/video` with the same JSON body returns the exact price for that input; the quote is exactly what a run charges. Invalid input is never charged and failed or canceled requests are refunded automatically.

## Input parameters

Send either the canonical name or the native field name (not both). Canonical names are the same across models.

| Parameter | Canonical name | Type | Required | Default | Allowed values / range | Description |
|---|---|---|---|---|---|---|
| `upscale_factor` |  | number | no | `2` | 1 – 4 | Množilnik povečave. |
| `seed` |  | integer \| null | no |  |  | Naključno seme, uporabljeno pri generiranju. |
| `video_url` | `video` | string (video URL) | yes |  |  | Izvorni video za povečavo. |
| `acceleration` |  | enum (string) | no | `regular` | `regular`, `high`, `full` | Izberite, koliko želite pospešiti dekodiranje VAE; večje pospeševanje podpira tudi daljše videe. Načini predstavljajo kompromis med kakovostjo in hitrostjo: regular zagotavlja najboljšo kakovost, full je najhitrejši, high pa ponuja ravnovesje. |
| `color_fix` |  | boolean | no | `true` |  | Omogoči popravljanje barv. |
| `quality` |  | integer | no | `70` | 0 – 100 | Nastavitev prekrivanja ploščic za zlivanje, v razponu od 0 do 100, ki preprečuje artefakte mreže. Za videe visoke ločljivosti je priporočena vrednost 70–85; za hitrejšo obdelavo uporabite 50–70. Povečanje nastavitve izboljša kakovost z dodajanjem prekrivanja. |
| `preserve_audio` |  | boolean | no | `false` |  | Možnost ohranjanja zvoka, ki po možnosti uporablja FFmpeg za vključitev izvornih zvočnih posnetkov v povečanem videu. |
| `output_format` |  | enum (string) | no | `X264 (.mp4)` | `X264 (.mp4)`, `VP9 (.webm)`, `PRORES4444 (.mov)`, `GIF (.gif)` | Oblika zapisa nastalega videa. |
| `output_quality` |  | enum (string) | no | `high` | `low`, `medium`, `high`, `maximum` | Nastavitev kakovosti nastalega videa. |
| `output_write_mode` |  | enum (string) | no | `balanced` | `fast`, `balanced`, `small` | Način, uporabljen za zapis končnega videa. |
| `enable_safety_checker` |  | boolean | no | `true` |  | Preverjanje je mogoče omiliti z nastavitvijo false, če je klicatelj pooblaščen. |

File parameters (`video`) take a public `https://` URL, a `data:` URI up to 10 MB, or the `file_url` of an upload from `POST /files`.

## Example input

Required parameters only:

```json
{
  "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
}
```

A fuller example:

```json
{
  "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
}
```

## Run it

Set `DOITONG_API_KEY` to a key from https://doitong.com/developers/dashboard#keys. `?wait=20` returns the finished request in the same call when it is ready within 20 seconds; otherwise poll `GET /requests/{id}` (it also accepts `?wait=`), or pass `webhook_url`.

### curl

```bash
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/flashvsr/upscale/video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"
```

### JavaScript

```javascript
const API = "https://api.doitong.com/v1";
const headers = {
  "Authorization": "Bearer " + process.env.DOITONG_API_KEY,
  "Content-Type": "application/json",
};

// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/flashvsr/upscale/video?wait=20", {
  method: "POST",
  headers,
  body: JSON.stringify({
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);

// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
  res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
  request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
```

### Python

```python
import os
import requests

API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}

payload = {
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
}

# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/flashvsr/upscale/video", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
    raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])

# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
    request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
    raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
```

### MCP

The MCP server at `https://api.doitong.com/v1/mcp` exposes the tools `search_models`, `get_model`, `quote`, `run`, `get_request`, `cancel_request`, `list_requests`, `create_upload` and `get_account`. A `run` call for this model:

```json
{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "run",
    "arguments": {
      "model_id": "flashvsr/upscale/video",
      "input": {
        "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
      },
      "wait_seconds": 20
    }
  }
}
```

## Response

Every call returns a request object. `status` is one of `queued`, `running`, `succeeded`, `failed`, `canceled`. `outputs` lists the generated files with URLs on our storage (kept forever, or 7 days with `?storage=temporary`; `storage` says which); `output` is the model's own result object with the same URLs.

```json
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "flashvsr/upscale/video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 553,
    "usd": "0.553",
    "charged": 553,
    "refunded": 0
  },
  "input": {
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "seed": 42
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
```

### Output fields (`output`)

| Field | Type | Description |
|---|---|---|
| `video` | object {url, content_type, file_name, file_size} | Video datoteka, ustvarjena s povečavo. |
| `seed` | integer | Naključno seme, uporabljeno pri generiranju. |

## Related models

- [Topaz Image Upscale](https://doitong.com/developers/models/topaz/upscale/image/precision.md) (`topaz/upscale/image/precision`): $0.08 / 24 megapixels of output image
- [Topaz Video Upscale](https://doitong.com/developers/models/topaz/upscale/video/precision.md) (`topaz/upscale/video/precision`): from $0.00667 / second of input video
- [AuraSR](https://doitong.com/developers/models/aura-sr.md) (`aura-sr`): $0.001111 / second of processing time
- [Creative Upscaler](https://doitong.com/developers/models/creative-upscaler.md) (`creative-upscaler`): $0.00125 / second of processing time
- [DRCT-Super-Resolution](https://doitong.com/developers/models/drct-super-resolution.md) (`drct-super-resolution`): $0.0045 / megapixel of output image
- [Fooocus Upscale or Vary](https://doitong.com/developers/models/fooocus/upscale-or-vary.md) (`fooocus/upscale-or-vary`): $0.007 / image
- [Upscale Images](https://doitong.com/developers/models/esrgan.md) (`esrgan`): $0.000575 / second of processing time
- [Video Upscaler](https://doitong.com/developers/models/video-upscaler.md) (`video-upscaler`): $0.0008 / megapixel of output video

## Links

- HTML page: https://doitong.com/developers/models/flashvsr/upscale/video
- All models and guides for AI agents: https://doitong.com/developers/llms.txt
- OpenAPI 3.1 with this model's typed request body: https://doitong.com/developers/openapi.json?model=flashvsr/upscale/video
- Errors: https://doitong.com/developers/docs/errors
- Model details as JSON: https://api.doitong.com/v1/models/flashvsr/upscale/video
